<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
    xmlns:xs="http://www.w3.org/2001/XMLSchema"
    exclude-result-prefixes="xs"
    version="2.0">
    
    <xsl:template match="export">
        <collocations>
            <heading>
                <xsl:apply-templates select="header"/>
            <scores>
                <score>Cooccurrence count</score>
                <score>Candidate count</score>
                
                <!-- the other score refs are generated according to the scores found inside of item 
                the first item is used for this-->
                <xsl:for-each select="(//item)[last()]/score">
                    <score>
                        <xsl:value-of select="@type"/>
                    </score>
                </xsl:for-each>
                </scores>
            </heading>
        
            <xsl:apply-templates select="collocations"/>
        </collocations>
    </xsl:template>
    
    <xsl:template match="header">
        <corpus>
            <xsl:apply-templates select="corpus"/>
            <xsl:text> (</xsl:text>
            <xsl:apply-templates select="subcorpus"/>
            <xsl:text>)</xsl:text>
        </corpus>
        <hits>
            <!-- geht the number of the last line-element and add 1 
            (because count in input file starts with 0-->
            <xsl:value-of select="(//line)[last()]/@num + 1"/>
        </hits>
        <query>
            <xsl:apply-templates select="query"/>
        </query>
    </xsl:template>
    
    <xsl:template match="collocations">
        <items>
            <xsl:apply-templates/>
        </items>
    </xsl:template>
    
    <xsl:template match="item">
        <item>
           <xsl:copy-of select="node()"/>
        </item>
    </xsl:template>
    
    <!--
    <xsl:template match="str">
        <str>
            <xsl:apply-templates/>
        </str>
    </xsl:template>
    
    <xsl:template match="freq">
        <freq>
            <xsl:apply-templates/>
        </freq>
    </xsl:template>
    
    <xsl:template match="collfreq">
        <collfreq>
            <xsl:apply-templates/>
        </collfreq>
    </xsl:template>
    
    <xsl:template match="//item/score">
        <xsl:apply-templates/>
    </xsl:template>
    -->
    
</xsl:stylesheet>